<div
  class="page"
  (pan)="resetTimer()"
  (panend)="resetTimer()"
  (tap)="resetTimer()"
  (mousemove)="resetTimer()"
  (swipeleft)="nextPage()"
  (swiperight)="prevPage()"
>
  <pdf-viewer
    id="pdf-view"
    [src]="src"
    [original-size]="false"
    [render-text]="true"
    [rotation]="0"
    [show-all]="false"
    [fit-to-page]="true"
    [zoom]="1"
    [zoom-scale]="'page-height'"
    [external-link-target]="'blank'"
    [autoresize]="true"
    [show-borders]="false"
    (after-load-complete)="afterLoadComplete($event)"
    [page]="page"
  ></pdf-viewer>

  <nav
    *ngIf="isLoaded"
    [ngClass]="{ visible: navVisible === true, hidden: navVisible === false }"
  >
    <input
      type="range"
      min="1"
      [max]="totalPages"
      [value]="page"
      (input)="changePage($event)"
      [disabled]="!navVisible"
    />
    <br />

    <button (click)="prevPage()" [disabled]="page === 1" class="previous">
      <<
    </button>
    <button (click)="nextPage()" [disabled]="page === totalPages" class="next">
      >>
    </button>
    <p>{{ page }} / {{ totalPages }}</p>
  </nav>
</div>
